Subject: Re: [PATCH net-next 00/22] convert to devm_stmmac_probe_config_dt

From: Jisheng Zhang <[email-masked]>
Date: Tue, 29 Aug 2023 19:29:52 +0800

On Tue, Aug 29, 2023 at 12:21:29PM +0100, Russell King (Oracle) wrote:
> On Tue, Aug 29, 2023 at 06:40:11PM +0800, Jisheng Zhang wrote:
> > Russell pointed out there's a new devm_stmmac_probe_config_dt()
> > helper now when reviewing my starfive gmac error handling patch[1].
> > After greping the code, this nice helper was introduced by Bartosz in
> > [2], I think it's time to convert all dwmac users to this helper and
> > finally complete the TODO in [2] "but once all users of the old
> > stmmac_pltfr_remove() are converted to the devres helper, it will be
> > renamed back to stmmac_pltfr_remove() and the no_dt function removed."
> 
> I think a useful final patch may be to make stmmac_probe_config_dt()
> static so there aren't any new uses of stmmac_probe_config_dt().

Good idea!
> 
> Also note that net-next is now closed, so please wait until after -rc1
> for net-next to re-open, or post as RFC. Thanks.

oops, I didn't notice this cycle of window is closed, I will wait for next
development window.

Thank you
> 
> -- 
> RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
> FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!